Loading...
Searching...
No Matches
gtsam::StereoCamera Class Reference
Geometry

## Detailed Description

A stereo camera class, parameterize by left camera pose and stereo calibration.

## Manifold

size_t | dim () const
| Dimensionality of the tangent space.
StereoCamera | retract (const Vector &v) const
| Updates a with tangent space delta.
Vector6 | localCoordinates (const StereoCamera &t2) const
| Local coordinates of manifold neighborhood around current value.
static size_t | Dim ()
| Dimensionality of the tangent space.

## Public Member Functions

Standard Constructors
| StereoCamera ()
| Default constructor allocates a calibration!
| StereoCamera (const Pose3 &leftCamPose, const Cal3_S2Stereo::shared_ptr K)
| Construct from pose and shared calibration.
const Cal3_S2Stereo & | calibration () const
| Return shared pointer to calibration.
Testable
void | print (const std::string &s="") const
| print
bool | equals (const StereoCamera &camera, double tol=1e-9) const
| equals
Standard Interface
const Pose3 & | pose () const
| pose
double | baseline () const
| baseline
StereoPoint2 | project (const Point3 &point) const
| Project 3D point to StereoPoint2 (uL,uR,v).
StereoPoint2 | project2 (const Point3 &point, OptionalJacobian< 3, 6 > H1=boost::none, OptionalJacobian< 3, 3 > H2=boost::none) const
| Project 3D point and compute optional derivatives.
Point3 | backproject (const StereoPoint2 &z) const
| back-project a measurement
Point3 | backproject2 (const StereoPoint2 &z, OptionalJacobian< 3, 6 > H1=boost::none, OptionalJacobian< 3, 3 > H2=boost::none) const
| Back-project the 2D point and compute optional derivatives.
Deprecated
StereoPoint2 | project (const Point3 &point, OptionalJacobian< 3, 6 > H1, OptionalJacobian< 3, 3 > H2=boost::none, OptionalJacobian< 3, 0 > H3=boost::none) const
| Project 3D point and compute optional derivatives.
Vector | defaultErrorWhenTriangulatingBehindCamera () const
| for Nonlinear Triangulation

## Public Types

enum | { dimension = 6 }
typedef StereoPoint2 | Measurement
| Some classes template on either PinholeCamera or StereoCamera, and this typedef informs those classes what "project" returns.
typedef StereoPoint2Vector | MeasurementVector

## Friends

class | boost::serialization::access

## Member Function Documentation

## backproject2()

Point3 gtsam::StereoCamera::backproject2 | ( | const StereoPoint2 & | z,
|  | OptionalJacobian< 3, 6 > | H1 = boost::none,
|  | OptionalJacobian< 3, 3 > | H2 = boost::none ) const

Back-project the 2D point and compute optional derivatives.

Parameters

  H1 | derivative with respect to pose
  H2 | derivative with respect to point

## project()

StereoPoint2 gtsam::StereoCamera::project | ( | const Point3 & | point,
|  | OptionalJacobian< 3, 6 > | H1,
|  | OptionalJacobian< 3, 3 > | H2 = boost::none,
|  | OptionalJacobian< 3, 0 > | H3 = boost::none ) const

Project 3D point and compute optional derivatives.

Deprecated
  , use project2 - this class has fixed calibration

Parameters

  H1 | derivative with respect to pose
  H2 | derivative with respect to point
  H3 | IGNORED (for calibration)

## project2()

StereoPoint2 gtsam::StereoCamera::project2 | ( | const Point3 & | point,
|  | OptionalJacobian< 3, 6 > | H1 = boost::none,
|  | OptionalJacobian< 3, 3 > | H2 = boost::none ) const

Project 3D point and compute optional derivatives.

Parameters

  H1 | derivative with respect to pose
  H2 | derivative with respect to point

The documentation for this class was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/geometry/StereoCamera.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/geometry/StereoCamera.cpp